"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var PIClient_1 = require("./PIClient");
var DescribeDimensionKeysCommand_1 = require("./commands/DescribeDimensionKeysCommand");
var GetResourceMetricsCommand_1 = require("./commands/GetResourceMetricsCommand");
var PI = /** @class */ (function (_super) {
    tslib_1.__extends(PI, _super);
    function PI() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PI.prototype.describeDimensionKeys = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDimensionKeysCommand_1.DescribeDimensionKeysCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    PI.prototype.getResourceMetrics = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetResourceMetricsCommand_1.GetResourceMetricsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return PI;
}(PIClient_1.PIClient));
exports.PI = PI;
//# sourceMappingURL=PI.js.map