"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetResourceMetricsInput_1 = require("../shapes/GetResourceMetricsInput");
var GetResourceMetricsOutput_1 = require("../shapes/GetResourceMetricsOutput");
var InvalidArgumentException_1 = require("../shapes/InvalidArgumentException");
var InternalServiceError_1 = require("../shapes/InternalServiceError");
var NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetResourceMetrics = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetResourceMetrics",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetResourceMetricsInput_1.GetResourceMetricsInput
    },
    output: {
        shape: GetResourceMetricsOutput_1.GetResourceMetricsOutput
    },
    errors: [
        {
            shape: InvalidArgumentException_1.InvalidArgumentException
        },
        {
            shape: InternalServiceError_1.InternalServiceError
        },
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        }
    ]
};
//# sourceMappingURL=GetResourceMetrics.js.map