"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _DimensionGroup_1 = require("./_DimensionGroup");
var _MetricQueryFilterMap_1 = require("./_MetricQueryFilterMap");
exports.DescribeDimensionKeysInput = {
    type: "structure",
    required: [
        "ServiceType",
        "Identifier",
        "StartTime",
        "EndTime",
        "Metric",
        "GroupBy"
    ],
    members: {
        ServiceType: {
            shape: {
                type: "string"
            }
        },
        Identifier: {
            shape: {
                type: "string"
            }
        },
        StartTime: {
            shape: {
                type: "timestamp"
            }
        },
        EndTime: {
            shape: {
                type: "timestamp"
            }
        },
        Metric: {
            shape: {
                type: "string"
            }
        },
        PeriodInSeconds: {
            shape: {
                type: "integer"
            }
        },
        GroupBy: {
            shape: _DimensionGroup_1._DimensionGroup
        },
        PartitionBy: {
            shape: _DimensionGroup_1._DimensionGroup
        },
        Filter: {
            shape: _MetricQueryFilterMap_1._MetricQueryFilterMap
        },
        MaxResults: {
            shape: {
                type: "integer"
            }
        },
        NextToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DescribeDimensionKeysInput.js.map