"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDimensionKeys_1 = require("../model/operations/DescribeDimensionKeys");
var DescribeDimensionKeysCommand = /** @class */ (function () {
    function DescribeDimensionKeysCommand(input) {
        this.input = input;
        this.model = DescribeDimensionKeys_1.DescribeDimensionKeys;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDimensionKeysCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDimensionKeysCommand;
}());
exports.DescribeDimensionKeysCommand = DescribeDimensionKeysCommand;
//# sourceMappingURL=DescribeDimensionKeysCommand.js.map